import JSZip from 'jszip';
import { ISlide, RootPresTemplate, PresTemplate, IPresentationProps, ImportedElement } from './types/app';
export default class Slide implements ISlide {
    sourceTemplate: PresTemplate;
    targetTemplate: RootPresTemplate;
    targetNumber: number;
    sourceNumber: number;
    targetArchive: JSZip;
    sourceArchive: JSZip;
    sourcePath: string;
    targetPath: string;
    modifications: Function[];
    appendElements: ImportedElement[];
    relsPath: string;
    rootTemplate: RootPresTemplate;
    root: IPresentationProps;
    targetRelsPath: string;
    constructor(params: any);
    setTarget(targetTemplate: RootPresTemplate): Promise<void>;
    append(): Promise<void>;
    modify(callback: Function): void;
    addElement(presName: string, slideNumber: number, selector: string, callback?: Function | Function[]): Promise<this>;
    analyzeElement(appendElement: any, sourceArchive: JSZip, slideNumber: number): Promise<any>;
    appendImportedElements(): Promise<void>;
    applyModifications(): Promise<void>;
    copySlideFiles(): Promise<void>;
    addSlideToPresentation(): Promise<void>;
    appendToSlideRel(rootArchive: JSZip, relId: string, slideCount: number): Promise<HTMLElement>;
    appendToSlideList(rootArchive: JSZip, relId: string): Promise<HTMLElement>;
    appendToContentType(rootArchive: JSZip, slideCount: number): Promise<HTMLElement>;
    copyRelatedContent(): Promise<void>;
}
